gstreamermm: Gst::MessageBuffering Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageBuffering Class Reference

A buffering message. More...

Inheritance diagram for Gst::MessageBuffering:
[legend]
Collaboration diagram for Gst::MessageBuffering:
[legend]

List of all members.

## Public Member Functions
| MessageBuffering (GstMessage* castitem)
int | parse () const
| Extracts and returns the buffering percent from the Gst::MessageBuffering.
void | set_stats (BufferingMode mode, int avg_in, int avg_out, gint64 buffering_left)
| Configures the buffering stats values in message.
void | parse_stats (BufferingMode& mode, int& avg_in, int& avg_out, gint64& buffering_left) const
| Extracts the buffering stats values from message.
BufferingMode | parse_stats_buffering_mode () const
| Extracts and returns the buffering mode from message.
int | parse_stats_avg_in () const
| Extracts and returns the average input rate from message.
int | parse_stats_avg_out () const
| Extracts and returns the average output rate from message.
gint64 | parse_stats_buffering_left () const
| Extracts and returns the buffering time in milliseconds remaining from message.
## Static Public Member Functions
static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, int percent)
| Create a new buffering message.

## Detailed Description

A buffering message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageBuffering::MessageBuffering | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageBuffering::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | int | percent
| ) |  | `[static]`

Create a new buffering message.

This message can be posted by an element that needs to buffer data before it can continue processing. percent should be a value between 0 and 100. A value of 100 means that the buffering completed.

When percent is < 100 the application should PAUSE a PLAYING pipeline. When percent is 100, the application can set the pipeline (back) to PLAYING. The application must be prepared to receive BUFFERING messages in the PREROLLING state and may only set the pipeline to PLAYING after receiving a message with percent set to 100, which can happen after the pipeline completed prerolling.

Parameters:

  src | The object originating the message.
  percent | The buffering percent.

Returns:
  The new buffering message.

Since 0.10.11 MT safe.

int Gst::MessageBuffering::parse | ( |  | ) | const

Extracts and returns the buffering percent from the Gst::MessageBuffering.

Returns:
  The percent as an integer.

void Gst::MessageBuffering::parse_stats | ( | BufferingMode& | mode,
|  | int & | avg_in,
|  | int & | avg_out,
|  | gint64 & | buffering_left
| ) |  | const

Extracts the buffering stats values from message.

Parameters:

  mode | Location for the buffering mode.
  avg_in | Location for the average input rate.
  avg_out | Location for the average output rate.
  buffering_left | Location for the amount of buffering time left.

Since 0.10.20.

int Gst::MessageBuffering::parse_stats_avg_in | ( |  | ) | const

Extracts and returns the average input rate from message.

Returns:
  The average input rate.

int Gst::MessageBuffering::parse_stats_avg_out | ( |  | ) | const

Extracts and returns the average output rate from message.

Returns:
  The average output rate.

gint64 Gst::MessageBuffering::parse_stats_buffering_left | ( |  | ) | const

Extracts and returns the buffering time in milliseconds remaining from message.

Returns:
  The buffering time remaining.

BufferingMode Gst::MessageBuffering::parse_stats_buffering_mode | ( |  | ) | const

Extracts and returns the buffering mode from message.

Returns:
  The buffering mode.

void Gst::MessageBuffering::set_stats | ( | BufferingMode | mode,
|  | int | avg_in,
|  | int | avg_out,
|  | gint64 | buffering_left
| ) |  |

Configures the buffering stats values in message.

Parameters:

  mode | A buffering mode.
  avg_in | The average input rate.
  avg_out | The average output rate.
  buffering_left | Amount of buffering time left in milliseconds.

Since 0.10.20.

The documentation for this class was generated from the following file:

- gstreamermm/message.h